release vars all
release procs all
; File name: DEMO.SC
;
; Script to build library and then execute the demo
;

message "Making library - Please wait.."

play "DIRT"       ;  Build floating button library

message "Creating lib DEMO, Please wait .."
createlib "demo"
release procs wproc
 proc wproc(x)
    execute "writelib \"demo\" " + x
    + " release procs " + x
 endproc


;======================================================= Demo_Menu_Proc
proc Demo_Menu_Proc
; Display DEMO menu
(
)
clearspeedbar
prompt ""

showpulldown
"Demo"
    : "Directory tree dialog demo"
    : "Demo",
"Words"
    : "Read the documentation"
    : "Words"
    submenu
    "Readme"
        : "View the $$README file via the Paradox editor"
        : "Words/Readme",
    "ProcDoc"
        : "View procedure documentation via the Paradox editor"
        : "Words/ProcDoc"
    endsubmenu,
"Exit"
    : "Exit from demo"
    : "Exit"
endmenu

endproc
wproc( "Demo_Menu_Proc" )

;======================================================= Demo_1
proc Demo_1
; Demo the directory tree dialog.
(
)
private x, y, z

x = DIRT_DirTree_Dlg( directory(), "Test", "" )

if isblank( x ) then
	message "You cancelled the dialog!"
else
	message "You selected directory \"" + x + "\""
endif
sleep 1500
message ""

; Show the blank desktop to the user

echo normal echo off

endproc
wproc( "Demo_1" )


message "Initializing DEMO"

autolib = "DIRT,demo"

Demo_Menu_Proc()
prompt ""

message ""

echo normal

while true
    getevent message "menuselect" to evt
    switch
    case evt[ "menutag" ] = "Demo" :
        echo off
        showpulldown endmenu
        Demo_1()
        Demo_Menu_Proc()
        echo normal
    case evt[ "menutag" ] = "Words/Readme" :
        echo off
        editor open "$$README"
        window handle editor to edithand
        window maximize edithand
        clearpulldown
        echo normal
        while iswindow( edithand )
            getevent all to evtx
            execevent evtx
        endwhile
        Demo_Menu_Proc()
        release vars edithand, evtx
    case evt[ "menutag" ] = "Words/ProcDoc" :
        echo off
        if not isfile( "DIRT.doc" ) then
            message "Extracting proc documentation from .SC files",
                "   Please wait .."
            sleep 1000
            play "DIRT-doc"
        endif
        editor open "DIRT.doc"
        window handle editor to edithand
        window maximize edithand
        clearpulldown
        echo normal
        while iswindow( edithand )
            getevent all to evtx
            execevent evtx
        endwhile
        Demo_Menu_Proc()
        release vars edithand, evtx
    case evt[ "menutag" ] = "Exit" :
        quitloop
    otherwise :
        message "Unrecognized menutag: \"", evt[ "menutag" ], "\""
        quitloop
    endswitch
endwhile

message "DEMO is done"
sleep 1000

release vars evt
UTLX_Release_Globals()


